<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.vote.system.mapper.VoteRuleMapper">

    <resultMap id="BaseResultMap" type="com.vote.system.domain.VoteRule">
        <id property="ruleId" column="rule_id" jdbcType="BIGINT"/>
        <result property="name" column="name" jdbcType="VARCHAR"/>
        <result property="tenantId" column="tenant_id" jdbcType="BIGINT"/>
        <result property="isDeleted" column="is_deleted" jdbcType="CHAR"/>
        <result property="aggregate" column="aggregate" jdbcType="FLOAT"/>
        <result property="total" column="total" jdbcType="INTEGER"/>
        <result property="creatTime" column="creat_time" jdbcType="TIMESTAMP"/>
        <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="selectRuleVo">
        select rule_id, name, tenant_id, is_deleted, aggregate, total, creat_time
        from vote_rule
    </sql>

    <sql id="defaultDeleteCondition">
        is_deleted
        = 0
    </sql>

    <sql id="Base_Column_List">
        rule_id
        ,name,tenant_id,
        is_deleted,aggregate,total,
        creat_time,update_time
    </sql>




</mapper>
